> This page is for Workspace app.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# What your assistant is following through

GET https://api.cloudraker.com/me/assistant/commitments

Reference: https://docs.cloudraker.com/workspace/api/my-assistant/list-my-assistant-commitments

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Response

### 200

What your assistant is following through

- `data` (list of AssistantCommitment, required)

## Errors

### 403 Forbidden Error

An active personal account is required.

- `any`

### 404 Not Found Error

The resource is unavailable to this user.

- `any`

## Types

### AssistantCommitment

- `id` (string, required)
- `outcome` (string, required)
- `completion` (string, required)
- `nextAction` (string, required)
- `schedule` (string, required, nullable)
- `state` (enum, required)
  - Allowed values: `active`, `waiting`, `blocked`, `completed`, `cancelled`, `failed`
- `origin` (enum, required)
  - Allowed values: `chat`, `routine`, `owner`
- `background` (boolean, required)
- `originEntryId` (string, required, nullable)
- `nextWakeAt` (string, required, nullable)
- `waitingFor` (string, required, nullable)
- `blocker` (string, required, nullable)
- `version` (integer, required) — Send it back with an edit.
- `running` (boolean, required)
- `updatedAt` (string, required)
- `attempts` (AssistantCommitmentAttempts, required)
- `receipts` (list of AssistantReceipt, required)

### AssistantCommitmentAttempts

- `total` (integer, required)
- `succeeded` (integer, required)
- `failed` (integer, required)

### AssistantReceipt

- `attemptId` (string, required)
- `state` (enum, required)
  - Allowed values: `running`, `succeeded`, `failed`, `cancelled`, `unknown_effect`, `interrupted`, `superseded`
- `startedAt` (string, required)
- `finishedAt` (string, required, nullable)
- `outcome` (enum, required)
  - Allowed values: `unverified`, `verified`, `failed`, `unknown`
- `outcomeDetail` (string, required, nullable)
- `result` (AssistantReceiptResult, required, nullable) — The saved file, only once it is stored.
- `delivery` (AssistantReceiptDelivery, required)

### AssistantReceiptResult

The saved file, only once it is stored.

- `fileId` (string, required)
- `name` (string, required)

### AssistantReceiptDelivery

- `state` (enum, required)
  - Allowed values: `none`, `pending`, `delivered`, `suppressed`, `failed`
- `at` (string, required, nullable)
- `entryId` (string, required, nullable)
- `reason` (string, required, nullable)

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "string",
      "outcome": "string",
      "completion": "string",
      "nextAction": "string",
      "schedule": "string",
      "state": "active",
      "origin": "chat",
      "background": true,
      "originEntryId": "string",
      "nextWakeAt": "2026-10-08T09:00:00-04:00",
      "waitingFor": "string",
      "blocker": "string",
      "version": 1,
      "running": true,
      "updatedAt": "2026-10-08T09:00:00-04:00",
      "attempts": {
        "total": 1,
        "succeeded": 1,
        "failed": 1
      },
      "receipts": [
        {
          "attemptId": "string",
          "state": "running",
          "startedAt": "2026-10-08T09:00:00-04:00",
          "finishedAt": "2026-10-08T09:00:00-04:00",
          "outcome": "unverified",
          "outcomeDetail": "string",
          "result": {
            "fileId": "string",
            "name": "string"
          },
          "delivery": {
            "state": "none",
            "at": "2026-10-08T09:00:00-04:00",
            "entryId": "string",
            "reason": "string"
          }
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.cloudraker.com/me/assistant/commitments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.cloudraker.com/me/assistant/commitments';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cloudraker.com/me/assistant/commitments"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cloudraker.com/me/assistant/commitments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.cloudraker.com/me/assistant/commitments")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.cloudraker.com/me/assistant/commitments', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cloudraker.com/me/assistant/commitments");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cloudraker.com/me/assistant/commitments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```